- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionProgressBarV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 417 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionProgressBarV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ProgressBar }
enum | StyleOptionVersion { Version = 2 }
## Public Member Functions
| QStyleOptionProgressBarV2 ()
| QStyleOptionProgressBarV2 (const QStyleOptionProgressBar &other)
| QStyleOptionProgressBarV2 (const QStyleOptionProgressBarV2 &other)
QStyleOptionProgressBarV2 & | operator= (const QStyleOptionProgressBar &other)
## Public Attributes
Qt::Orientation | orientation
bool | invertedAppearance
bool | bottomToTop
## Protected Member Functions
| QStyleOptionProgressBarV2 (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionProgressBar.

Definition at line 420 of file qstyleoption.h.

    { Type = SO_ProgressBar };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionProgressBar.

Definition at line 421 of file qstyleoption.h.

    { Version = 2 };

## Constructor & Destructor Documentation

QStyleOptionProgressBarV2 | ( |  | ) |

QStyleOptionProgressBarV2 | ( | const QStyleOptionProgressBar & | other | ) |

QStyleOptionProgressBarV2 | ( | const QStyleOptionProgressBarV2 & | other | ) |

QStyleOptionProgressBarV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionProgressBarV2& operator= | ( | const QStyleOptionProgressBar & | other | ) |

## Member Data Documentation

Qt::Orientation orientation

Search for all occurrences

Definition at line 422 of file qstyleoption.h.

bool invertedAppearance

Search for all occurrences

Definition at line 423 of file qstyleoption.h.

bool bottomToTop

Search for all occurrences

Definition at line 424 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2
QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2 QStyleOptionProgressBarV2